import React, { useState } from "react";
import { ReactComponent as SelectedIcon } from "../assets/selected.svg";

const cardStyle = {
  border: "1px solid #F5F5F5",
  borderRadius: "4px",
  padding: "10px",
  margin: "10px",
  width: "212px",
  height: "129px",
};

const selectedCardStyle = {
  ...cardStyle,
  border: "2px solid #09A4CE",
  position: "relative",
};

const titleStyle = {
  fontSize: "14px",
  fontWeight: "500",
  color: "#A3A9B7",
};

const contentStyle = {
  fontSize: "14px",
};

const tickmarkStyle = {
  position: "absolute",
  top: "5px",
  right: "5px",
  width: "20px",
  height: "20px",
};

const Card = ({ title, content }) => {
  const [selected, setSelected] = useState(false);

  const handleCardClick = () => {
    setSelected(!selected);
  };

  return (
    <div style={selected ? selectedCardStyle : cardStyle} onClick={handleCardClick}>
      {selected && <SelectedIcon alt="Selected" style={tickmarkStyle} />}
      <h2 style={titleStyle}>{title}</h2>
      <p style={contentStyle}>{content}</p>
    </div>
  );
};

export default Card;
